# mpi.h File Reference

`#include <ubixos/types.h>`
`#include <ubixos/sched.h>`

Include dependency graph for mpi.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mpi_mbox
struct | mpi_message

## Defines

#define | MESSAGE_LENGTH 248

## Typedefs

typedef mpi_mbox | mpi_mbox_t
typedef mpi_message | mpi_message_t

## Functions

int | mpi_createMbox (char *)
int | mpi_destroyMbox (char *)
int | mpi_fetchMessage (char *, mpi_message_t *)
int | mpi_postMessage (char *, uInt32, mpi_message_t *)
int | mpi_spam (uInt32, void *)

## Define Documentation

#define MESSAGE_LENGTH 248

Definition at line 36 of file mpi.h.

Referenced by mpi_fetchMessage(), mpi_postMessage(), and mpi_spam().

## Typedef Documentation

typedef struct mpi_mbox mpi_mbox_t

Definition at line 54 of file mpi.h.

typedef struct mpi_message mpi_message_t

Definition at line 55 of file mpi.h.

## Function Documentation

int mpi_createMbox | ( | char * |  | ) |

Definition at line 69 of file system.c.

References _current, taskStruct::id, kmalloc(), mboxList, mpi_findMbox(), mpiSpinLock, mpi_mbox::name, mpi_mbox::next, mpi_mbox::pid, mpi_mbox::prev, spinLock(), spinUnlock(), and sprintf().

Referenced by sysMpiCreateMbox(), systemTask(), and ubixfs_thread().

Here is the call graph for this function:

int mpi_destroyMbox | ( | char * |  | ) |

Definition at line 234 of file system.c.

References _current, taskStruct::id, kfree(), mboxList, mpiSpinLock, mpi_mbox::name, mpi_mbox::next, mpi_mbox::pid, mpi_mbox::prev, spinLock(), spinUnlock(), and strcmp().

Referenced by sysMpiDestroyMbox().

Here is the call graph for this function:

int mpi_fetchMessage | ( | char * | ,
|  | mpi_message_t * |  |
| ) |  |  |

Definition at line 189 of file system.c.

References _current, mpi_message::data, mpi_message::header, taskStruct::id, kfree(), memcpy(), MESSAGE_LENGTH, mpi_findMbox(), mpiSpinLock, mpi_mbox::msg, mpi_message::next, mpi_mbox::pid, mpi_message::pid, spinLock(), and spinUnlock().

Referenced by sysMpiFetchMessage(), systemTask(), and ubixfs_thread().

Here is the call graph for this function:

int mpi_postMessage | ( | char * | ,
|  | uInt32 | ,
|  | mpi_message_t * |  |
| ) |  |  |

Definition at line 143 of file system.c.

References _current, mpi_message::data, mpi_message::header, taskStruct::id, kmalloc(), memcpy(), MESSAGE_LENGTH, mpi_findMbox(), mpiSpinLock, mpi_mbox::msg, mpi_mbox::msgLast, mpi_message::next, mpi_message::pid, spinLock(), spinUnlock(), and x1.

Referenced by sysMpiPostMessage().

Here is the call graph for this function:

int mpi_spam | ( | uInt32 | ,
|  | void * |  |
| ) |  |  |

Definition at line 108 of file system.c.

References mpi_message::data, mpi_message::header, kmalloc(), mboxList, memcpy(), MESSAGE_LENGTH, mpiSpinLock, mpi_mbox::msg, mpi_mbox::msgLast, mpi_mbox::next, mpi_message::next, spinLock(), and spinUnlock().

Referenced by sysMpiSpam().

Here is the call graph for this function: